gcc-defaults-ports (1.190) unstable; urgency=medium

  * Bump GCC 10 version to 10.2.1.
  * Bump standards version.
  * Add conflicts to GCC 12 cross packages.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Jan 2021 22:29:24 +0100

gcc-defaults-ports (1.189) unstable; urgency=medium

  * Bump GCC 10 version to 10.2.0.
  * Fix some (new questionable) lintian warnings.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Sep 2020 11:44:39 +0200

gcc-defaults-ports (1.188) unstable; urgency=medium

  * Bump GCC 10 version to 10.1.0.
  * Bump GCC 9 version to 9.3.0.
  * Bump standards and debhelper versions.

 -- Matthias Klose <doko@debian.org>  Tue, 21 Jul 2020 16:31:48 +0200

gcc-defaults-ports (1.187) experimental; urgency=medium

  * Default to GCC 10.
  * Build gm2 packages on x32.
  * Build a gcc-offload-amdgcn package.
  * Fix some lintian warnings.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Dec 2019 15:54:21 +0100

gcc-defaults-ports (1.185) unstable; urgency=medium

  * Don't generate amd64 cross package in -ports and -mipsen sources.
  * Avoid building some cross gm2 dependency packages.

 -- Matthias Klose <doko@debian.org>  Fri, 23 Aug 2019 21:30:30 +0200

gcc-defaults-ports (1.184) unstable; urgency=medium

  * Build gm2 packages.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2019 23:19:19 +0200

gcc-defaults-ports (1.183) unstable; urgency=medium

  * Default to GCC 9 (except for powerpcspe).
  * Bump GCC 9 version to 9.2.1.
  * Build libphobos-dev on more targets.
  * Bump standards version.
  * Build riscv64 packages on arm64 and ppc64el. Closes: #932394.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Aug 2019 19:14:15 +0200

gcc-defaults-ports (1.182) unstable; urgency=medium

  * Fix g++-<cross> docdir symlinks for x32 cross compilers. Closes: #915678.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Mar 2019 22:47:49 +0100

gcc-defaults-ports (1.181) unstable; urgency=medium

  * Bump GCC 8 version to 8.3.0.
  * Fix docdir symlinks for x32 cross compilers. Closes: #915678.
  * Don't generate duplicate *-x86-64-linux-gnu packages in the control
    file. Closes: #909128.
  * Stop building the mips64 package from the -ports source package.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Mar 2019 09:46:32 +0100

gcc-defaults-ports (1.180) unstable; urgency=medium

  * Bump GCC 8 version to 8.2.0.
  * Update VCS attributes in the control file.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 02 Nov 2018 15:49:43 +0100

gcc-defaults-ports (1.178) unstable; urgency=medium

  * Default to GCC 8.
  * Tighten dependencies on the cpp, gcc, g++ and gfortran packages.
    Addresses: #871630.
  * gcc, g++: Provide gcc-<triplet>, g++-<triplet>.
  * Bump standards version.
  * Fix typos in package descriptions. Addresses: #902276.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Jul 2018 11:12:51 +0200

gcc-defaults-ports (1.176) unstable; urgency=medium

  * Build defaults packages for x32.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Apr 2018 14:06:43 +0200

gcc-defaults-ports (1.175) unstable; urgency=medium

  * Build defaults packages for riscv64 cross compilers.
  * Default gccgo to GCC 8.
  * Default gdc to GCC 8 (dh-dlang already makes this assumption).

 -- Matthias Klose <doko@debian.org>  Fri, 23 Mar 2018 11:50:22 +0800

gcc-defaults-ports (1.174) unstable; urgency=medium

  * Bump GCC 7 version to 7.3.0.
  * Stop building the gcj packages. Addresses: #892536.
  * Fix build with recent debhelper. Addresses: #878338.

 -- Matthias Klose <doko@debian.org>  Fri, 16 Mar 2018 07:07:53 +0100

gcc-defaults-ports (1.173) unstable; urgency=medium

  * Bump GCC 7 version to 7.2.0.
  * Build powerpc64le cross packages on ppc64.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Sep 2017 12:54:37 +0200

gcc-defaults-ports (1.172) unstable; urgency=medium

  * Build gccbrig on x86 linux architectures only.
  * Remove obsolete docdir symlink update (Sven Joachim). Closes: #867425.
  * Don't build gccgo packages on m68k.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Aug 2017 11:58:19 -0400

gcc-defaults-ports (1.171) unstable; urgency=medium

  * Bump GCC 6 version to 6.4.0.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Aug 2017 17:49:44 -0400

gcc-defaults-ports (1.170) experimental; urgency=medium

  * Bump GCC 6 version to 6.3.0.
  * Bump GCC 7 version to 7.1.0.
  * Build gccbrig and gcc-offload-nvptx packages.

 -- Matthias Klose <doko@debian.org>  Fri, 12 May 2017 11:02:14 -0700

gcc-defaults-ports (1.168) unstable; urgency=medium

  * Fix building the cross packages.

 -- Matthias Klose <doko@debian.org>  Sat, 08 Apr 2017 21:35:06 +0200

gcc-defaults-ports (1.167) unstable; urgency=medium

  * Install gcov-dump manual pages.

 -- Matthias Klose <doko@debian.org>  Fri, 07 Apr 2017 16:35:25 +0200

gcc-defaults-ports (1.166) unstable; urgency=medium

  * Build powerpcspe cross packages again (Adrian Glaubitz).
    Closes: #853794.
  * gcc: Install gcov-dump symlinks.
  * Fix README.Bugs and gdc docdir symlinks. Addresses: #858112.

 -- Matthias Klose <doko@debian.org>  Sat, 18 Mar 2017 15:33:20 +0100

gcc-defaults-ports (1.165) unstable; urgency=medium

  * Bump GCC 6 version to 6.3.0.
  * Build powerpc cross packages from this source.
  * Stop building mips64el packages from this source.
  * gcc-multilib: Add conflicts with GCC 7 cross compiler packages.
  * Mark all cross compiler packages excluding the -multilib packages
    as M-A: foreign.
  * Build gccgo cross package for m68k.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Jan 2017 19:11:34 +0100

gcc-defaults-ports (1.160) unstable; urgency=medium

  * Default to GCC 6.
  * Build gdc-sh4-linux-gnu.
  * Default the 32bit x86 architectures to i686, keep i585 symlinks.
    See https://lists.debian.org/debian-devel/2015/09/msg00589.html

 -- Matthias Klose <doko@debian.org>  Sat, 06 Aug 2016 12:36:49 +0200

gcc-defaults-ports (1.150) unstable; urgency=medium

  * Bump GCC 5 version to 5.3.1.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Dec 2015 16:14:05 +0100

gcc-defaults-ports (1.149) unstable; urgency=medium

  * Stop building gccgo-hppa-linux-gnu, gccgo-m68k-linux-gnu.
  * Stop building gdc-sh4-linux-gnu, gccgo-sh4-linux-gnu.

 -- Matthias Klose <doko@debian.org>  Mon, 30 Nov 2015 09:10:46 +0100

gcc-defaults-ports (1.147) unstable; urgency=medium

  * Build defaults packages for Debian cross architectures.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Nov 2015 00:10:41 +0100

gcc-defaults (1.150) unstable; urgency=medium

  * Bump GCC 5 version to 5.3.1.
  * Fix package descriptions (Daniele Forsi). Closes: #807276.
  * Update gcc-multilib's conflict list.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Dec 2015 16:14:05 +0100

gcc-defaults (1.149) unstable; urgency=medium

  * Enable gccgo on sparc and sparc64.
  * Enable package builds for mips64, mips64el and sh4.
  * Enable the gnat cross build on sh4.
  * gcc-hppa64-linux-gnu: Fix gcc symlink, don't ship gcov and gcov-tool.
    Closes: #806423.
  * Stop building gccgo-hppa-linux-gnu, gccgo-m68k-linux-gnu.

 -- Matthias Klose <doko@debian.org>  Mon, 30 Nov 2015 09:01:59 +0100

gcc-defaults (1.147) unstable; urgency=medium

  * Fix some fall-out building cross gcc packages.
  * Build a gcc-hppa64-linux-gnu package.
  * gcc: Provide an unversioned gcov-tool binary.
  * Update README.Debian.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Nov 2015 20:46:31 +0100

gcc-defaults (1.146) unstable; urgency=medium

  * Build defaults packages for Debian cross architectures, including
    all frontends and multilib packages.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Nov 2015 13:22:50 +0100

gcc-defaults (1.145) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Build gdc-multilib on mips64 and mips64el.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Aug 2015 10:33:23 +0200

gcc-defaults (1.144) unstable; urgency=medium

  * Build gdc with an epoch. Closes: #794329.

 -- Matthias Klose <doko@debian.org>  Sat, 01 Aug 2015 20:45:36 +0200

gcc-defaults (1.143) unstable; urgency=high

  * Upload to unstable.
  * Bump required GCC 5 version to 5.2.1-13.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Jul 2015 22:47:44 +0200

gcc-defaults (1.142) experimental; urgency=medium

  * Bump GCC 5 version to 5.2.1.
  * Bump GCC 4.9 version to 4.9.3.
  * Default to GCC 5 on sparc and hurd-i386.
  * Change the long description of the multilib packages, because lintian
    and ftp-master reject the capitalized version of "Dependency package".

 -- Matthias Klose <doko@debian.org>  Sun, 19 Jul 2015 12:31:21 +0200

gcc-defaults (1.141) experimental; urgency=medium

  * Build multilib and gccgo packages for mips64* (James Cowgill).
    Addresses: #773177.
  * gcc-multilib: Break gcc-4.9-mips-linux-gnu. Add breaks for gcc-5
    cross compilers.
  * gcj-jdk: Fix libgcj.pc symlink (Victor Seva). Addresses: #778376.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Feb 2015 13:34:24 +0100

gcc-defaults (1.140) experimental; urgency=medium

  * Provide the gcc-ar, gcc-nm and gcc-ranlib symlinks again.
  * Provide a gcov-tool symlink.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Feb 2015 02:57:53 +0100

gcc-defaults (1.139) experimental; urgency=medium

  * Build a gdc-multilib package.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Jan 2015 23:50:29 +0100

gcc-defaults (1.138) experimental; urgency=medium

  * Bump GCC version to 5.

 -- Matthias Klose <doko@debian.org>  Tue, 27 Jan 2015 21:18:46 +0100

gcc-defaults (1.135) unstable; urgency=medium

  * Bump GCC 4.9 version to 4.9.2.
  * gcc-multilib: Add breaks to the gcc-4.9 cross compilers.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Nov 2014 16:35:11 +0100

gcc-defaults (1.134) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Don't build libphobos-dev on kfreebsd-amd64 and kfreebsd-i386 as 
    libphobos-4.9-dev is not built on these architectures. Closes: #761277.

  [ Matthias Klose ]
  * Build libphobos-dev on hppa. Closes: #763103.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 18 Oct 2014 10:57:13 +0200

gcc-defaults (1.133) unstable; urgency=medium

  * Build a libphobos-dev package (more than one package is providing
    libphobos-dev).
  * Build the gdc package on arm64 and sh4.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Sep 2014 22:43:26 +0200

gcc-defaults (1.132) unstable; urgency=medium

  * Provide i586-* compat symlinks for kfreebsd-i386 and hurd-i386.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Aug 2014 19:00:20 +0200

gcc-defaults (1.131) unstable; urgency=medium

  * Build-depend on dpkg-dev (>= 1.17.11).

 -- Matthias Klose <doko@debian.org>  Sun, 17 Aug 2014 15:34:11 +0200

gcc-defaults (1.130) unstable; urgency=medium

  * Bump GCC 4.9 versions to 4.9.1.
  * gfortran: Install alternatives for f77. Closes: #545461.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Jul 2014 21:52:39 +0200

gcc-defaults (1.129) unstable; urgency=medium

  * Default to 4.9 for m68k (Thorsten Glaser).
  * Default to 4.9 for all remaining architectures (powerpcspe, sh4, x32).
  * Provide gcc-{ar,nm,ranlib} man pages.
  * Build a gccgo-doc package when building the documentation packages.
  * Build-depend on gcc-4.9-base instead of gcc-4.8-base.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Jun 2014 16:13:12 +0200

gcc-defaults (1.128) unstable; urgency=medium

  * Default to GCC 4.9 for all architectures except m68k, or1k, powerpcspe,
    sh4 and x32.
  * Bump GCC 4.8 versions to 4.8.3.
  * Move the gserialver binary and man page into the gcj-jdk package.
    Closes: #747503.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Jun 2014 15:45:03 +0200

gcc-defaults (1.127exp2) experimental; urgency=medium

  * Provide the gnu triplet prefixed gcov symlink.
  * Add ppc64el as a native gcj architecture.
  * Default to 4.9 on mips64 and mips64el (Yunqiang Su). Closes: #744095.

 -- Matthias Klose <doko@debian.org>  Sat, 03 May 2014 19:57:42 +0200

gcc-defaults (1.127) unstable; urgency=medium

  * Default gij/gcj to 4.9 for every architecture with a successful build.
  * Default gccgo to 4.9 for every architecture (Go 1.2).
  * Default gdc to 4.9 for every architecture.
  * Provide the gnu triplet prefixed gcov symlink.
  * Add ppc64el as a native gcj architecture. Closes: #744937.
  * On x86 targets provide gnu-type prefixed binaries with the cpu that GCC
    is configured for.
  * Default to 4.8 on mips64 and mips64el (Yunqiang Su). Closes: #744095.

 -- Matthias Klose <doko@debian.org>  Sat, 03 May 2014 19:41:43 +0200

gcc-defaults (1.126exp1) experimental; urgency=medium

  * Provide the gcc-{ar,nm,ranlib} symlinks again.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Apr 2014 14:28:44 +0200

gcc-defaults (1.125exp1) experimental; urgency=medium

  * Default to 4.9 on all architectures for which 4.9 doesn't fail to build.

 -- Matthias Klose <doko@debian.org>  Fri, 17 Jan 2014 10:42:36 +0100

gcc-defaults (1.125) unstable; urgency=low

  * Build gccgo for arm64 and ppc64el.
  * Default to 4.8 for powerpcspe (Roland Stigge). Closes: #734771.
  * Default to 4.8 for powerpc (based on promises from powerpc porters not
    showing that much involvement at least in the past).
  * rebuild-gcj-db: Rebuild databases for 4.9.

 -- Matthias Klose <doko@debian.org>  Fri, 17 Jan 2014 10:15:40 +0100

gcc-defaults (1.124) unstable; urgency=low

  [ Matthias Klose ]
  * Bump GCC 4.8 versions to 4.8.2.
  * Default to 4.8 for hppa (John David Anglin).
  * Default to 4.7 for powerpcspe (Roland Stigge).
  * Default to 4.8 for alpha (Michael Cree).
  * Default to 4.8 for ppc64. It is a primary release architecture
    upstream, although there is no support from the Debian ppc64
    porters.

  [ Aurelien Jarno ]
  * Default to 4.8 for s390x architecture.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Dec 2013 02:12:54 +0100

gcc-defaults (1.123) unstable; urgency=low

  [ Aurelien Jarno ]
  * Enable gcc-multilib on sparc64.
  * Default to 4.8 for sparc64 architecture.

  [ Matthias Klose ]
  * Default gcj to 4.8 on ia64 as well.
  * Stop building the -spu packages on powerpc.
  * Bump libgcj-common version to 4.8.
  * Let gfortran provide the gfortran-mod version of the default
    gfortran compiler. Addresses #714730.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Aug 2013 16:54:31 +0200

gcc-defaults (1.122) unstable; urgency=low

  [ Matthias Klose ]
  * Update maintainer list.
  * Default gccgo to 4.8 for every architecture (requiring 4.8.1-4).
  * Fix gccgo-multilib dependency (closes: #712266).
  * Default to 4.8 for m68k (Thorsten Glaser, Wouter Verhelst).
  * Build gcj packages for arm64.

  [ Aurelien Jarno ]
  * Default to 4.8 for mips and mipsel architectures.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Jun 2013 23:33:50 +0200

gcc-defaults (1.121) unstable; urgency=low

  * Bump GCC 4.8 versions to 4.8.1.
  * Bump GCC 4.7 versions to 4.7.3.
  * Bump GCC 4.6 versions to 4.6.4.
  * Default to 4.8 for all x86 architectures.
  * Default to 4.8 for ARM architectures (agreed by the ARM porters).
  * Default gdc to 4.8 for every architecture.
  * Default gij/gcj to 4.8 for every architecture.
  * Stop building the gdc-v1 package.
  * Add support for x32 (Daniel Schepler). Closes: #692140.
  * Fix broken symlink in gcj-jre-headless. Closes: #710471.
  * Fix gcj package descriptions. Closes: #652495.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Jun 2013 23:11:47 +0200

gcc-defaults (1.120) unstable; urgency=low

  * Bump GCC 4.7 versions to 4.7.2.
  * Don't try to update the libgcj-db database for 4.5, removed for
    the wheezy release. Closes: #620582, #626600.

 -- Matthias Klose <doko@debian.org>  Thu, 27 Sep 2012 02:00:03 +0200

gcc-defaults (1.119) unstable; urgency=low

  [ Matthias Klose ]
  * Bump gcc-4.7 version to 4.7.1.
  * Provide gcc-{ar,nm,ranlib} for architectures with 4.7 as the default.
  * Update README.Debian for Wheezy. Closes: #675026.

  [Hiroyuki Yamamoto]
  * Build gccgo on ppc64. Closes: #668861.

 -- Matthias Klose <doko@debian.org>  Tue, 26 Jun 2012 03:05:15 +0200

gcc-defaults (1.118) unstable; urgency=low

  * Default to GCC 4.7 for gcc, g++, gfortran on amd64, i386,
    kfreebsd-amd64, kfreebsd-i386 and hurd-i386.

 -- Matthias Klose <doko@debian.org>  Mon, 07 May 2012 17:30:36 +0200

gcc-defaults (1.117) unstable; urgency=low

  [ Samuel Thibault ]
  * Default gij/gcj to 4.7 on the Hurd too.

  [ Matthias Klose ]
  * Default the spu cross compilers to 4.7.
  * Check for gcj-4.7 in rebuild-gcj-db.
  * Build gccgo on armel, armhf, mips, mipsel, build gccgo-multilib
    on mips, mipsel.

 -- Matthias Klose <doko@debian.org>  Wed, 02 May 2012 19:26:49 +0200

gcc-defaults (1.116) unstable; urgency=low

  * Bump libgcj soversion. Closes: #666437.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Apr 2012 08:47:08 +0200

gcc-defaults (1.115) unstable; urgency=low

  * Don't build gccgo-multilib on kfreebsd-amd64, mips, mipsel.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Mar 2012 16:50:54 +0200

gcc-defaults (1.114) unstable; urgency=low

  * Add new architectures for gccgo-multilib.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Mar 2012 15:00:42 +0200

gcc-defaults (1.113) unstable; urgency=low

  * Bump GCC 4.6 versions to 4.6.3.
  * Default gccgo to gccgo-4.7 (Go language version 1).
  * Default gij/gcj to 4.7 for every architecture except ia64 and the Hurd.
  * Bump standards version to 3.9.3.
  * Remove Arthur from uploaders.

 -- Matthias Klose <doko@debian.org>  Tue, 27 Mar 2012 23:10:01 +0200

gcc-defaults (1.112) unstable; urgency=low

  * gdc-v1: Fix gdmd-v1 symlinks.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Jan 2012 18:25:16 +0100

gcc-defaults (1.111) unstable; urgency=low

  * Default gdc to gdc-4.6, providing D version 2.

 -- Matthias Klose <doko@debian.org>  Tue, 03 Jan 2012 07:25:30 +0100

gcc-defaults (1.110) unstable; urgency=low

  * Default to 4.6 for alpha (Michael Cree). Closes: #649922.
  * Default to 4.6 for m68k, except gij/gcj (Thorsten Glaser).
  * Build a gdc-v1 package to prepare the D v1 to D v2 transition.

 -- Matthias Klose <doko@debian.org>  Sat, 10 Dec 2011 21:26:12 +0100

gcc-defaults (1.109) unstable; urgency=low

  * Bump GCC 4.6 versions to 4.6.2.
  * Default to 4.6 for powerpcspe (Kyle Moffett). Closes: #647456.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Nov 2011 13:19:06 +0100

gcc-defaults (1.108) unstable; urgency=low

  [ Matthias Klose ]
  * debian/rules: Remove duplicate code.
  * Fix libgcj.pc symlink for multiarch builds.
  * Fix upgrade path (/usr/include/asm must be a symlink). Closes: #638418.
  
  [ Aurelien Jarno ]
  * Add support for s390x.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Sep 2011 16:55:44 +0200

gcc-defaults (1.107) unstable; urgency=low

  * Enable multiarch build for libgcj-bc. Closes: #633359.
  * Don't care about gc[cj]-4.6 build dependencies on m68k.
  * Fix last references to obsolete gcj package.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Jul 2011 19:23:28 +0200

gcc-defaults (1.106) unstable; urgency=low

  * Bump GCC 4.6 versions to 4.6.1.
  * Bump GCC 4.4 versions to 4.4.6.
  * Default to 4.6 for sh4 (Nobuhiro Iwamatsu). Closes: #633073.
  * Default to 4.6 for ia64 (email exchange with Bdale Garbee).
  * Default to 4.6 for sparc64 (Aurelian Jarno).
  * Default to 4.6 for sparc. Last "supported" architecture in Debian
    using GCC 4.4, but unmaintained by the Debian GCC maintainers.
  * Make cpp Multi-Arch: allowed. Closes: #630853.
  * cpp: Don't call update-alternatives on upgrade. Closes: #568299.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Jul 2011 15:59:53 +0200

gcc-defaults (1.105) unstable; urgency=low

  * Build libgcj-bc for multiarch. Closes: #630417.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Jun 2011 23:47:48 +0200

gcc-defaults (1.104) unstable; urgency=low

  * Bump libgcj version for gcj-4.6. Closes: #624632.
  * gcc-multilib: Drop the pre-depends on linux-libc-dev. Closes: #624660.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Apr 2011 20:44:40 +0200

gcc-defaults (1.103) unstable; urgency=low

  * Don't build gccgo on armel and armhf. Closes: #622095.
  * Add dependency on gcc-multilib to the other -multilib packages.
  * Stop building transitional gij and gcj packages.
  * Default to 4.6 for x86, armel, hppa, powerpc.
  * Default to 4.6 for armhf (Konstantinos Margaritis).
  * Default to 4.6 for hurd-i386 (Samuel Thibault).
  * Default to 4.6 for s390 (Bastian Blank).
  * Default to 4.6 for mips and mipsel (Aurelian Jarno).

 -- Matthias Klose <doko@debian.org>  Fri, 29 Apr 2011 17:38:51 +0200

gcc-defaults (1.102) unstable; urgency=medium

  * Fix typos. Closes: #620275, #620190.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Apr 2011 15:53:14 +0200

gcc-defaults (1.101) unstable; urgency=low

  * Update rebuild-gcj-db for gcj-4.5 and gcj-4.6.
  * debian/rules: Fix libgcj-bc.so.1 symlink for multiarch path,
    when building for multiarch (Martin Pitt).
  * Remove sparc gcc/g++ wrappers.

 -- Matthias Klose <doko@debian.org>  Wed, 30 Mar 2011 00:37:25 +0200

gcc-defaults (1.100) unstable; urgency=low

  * c99: Do not accept -ansi option (Mike Miller). Closes: #617321.
  * c99: Clarify c99 error message incorrectly refering to ANSI C
    (Mike Miller). Closes: #618718.
  * On hppa, default gcc, g++, gobjc, gobjc++, gfortran to GCC-4.5.
  * Build gccgo and gccgo-multilib packages.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Mar 2011 13:05:18 +0200

gcc-defaults (1.99) unstable; urgency=low

  * gdc: Fix versioned dependency on gdc-4.4.

 -- Matthias Klose <doko@debian.org>  Mon, 07 Mar 2011 22:43:33 +0100

gcc-defaults (1.98) unstable; urgency=low

  * Stop building gpc. Closes: #613923.
  * Default to gdc-4.4.
  * On amd64, armel, armhf, i386, powerpc, ppc64, kfreebsd-amd64
    and kfreebsd-i386:
    Default gcc, g++, gobjc, gobjc++, gfortran to GCC-4.5.
  * Do not install anymore the sparc gcc/g++ wrappers.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Mar 2011 03:10:53 +0100

gcc-defaults (1.97) unstable; urgency=low

  * On armhf, point gdc to gdc-4.4.
  * Tighten build dependency on python. Closes: #604188.
  * Add Vcs-* attributes to the control file. Closes: #597058.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Dec 2010 02:28:32 +0100

gcc-defaults (1.96) unstable; urgency=low

  * Bump dependencies to 4.4.5.
  * Bump gdc version to 1.060.
  * Build using dh_python2 instead of python-central.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Oct 2010 10:19:12 +0200

gcc-defaults (1.95) unstable; urgency=low

  * Fix libgcj-bc shlibs file. Closes: #584545.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Jun 2010 19:05:46 +0200

gcc-defaults (1.94) unstable; urgency=low

  * Bump dependencies to 4.4.4 / 4.3.5.
  * Build gdc for sparc.
  * Add powerpcspe to gcj_archs.

 -- Matthias Klose <doko@debian.org>  Sun, 30 May 2010 22:18:54 +0200

gcc-defaults (1.93) unstable; urgency=low

  * Bump dependencies to 4.4.3.
  * gdc: Make gdc-4.3 the default.
  * Fix file conflict error install gdc. Closes: #573487.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Sun, 14 Mar 2010 04:29:59 +0100

gcc-defaults (1.92) unstable; urgency=low

  * Make GCC-4.4 the default for the spu cross compilers.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Jan 2010 14:20:22 +0100

gcc-defaults (1.91) unstable; urgency=low

  * gcj-jdk: Add dh_javadoc, conflict with gjdoc.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Dec 2009 01:28:37 +0100

gcc-defaults (1.90) unstable; urgency=low

  * Make GCC-4.4 the default.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Dec 2009 00:39:44 +0100

gcc-defaults (1.89) unstable; urgency=low

  * Remove support for gdc-4.2.  Addresses: #559361.
  * Don't build gdc on hurd-i386.

 -- Arthur Loiret <aloiret@debian.org>  Sun, 06 Dec 2009 21:13:48 +0000

gcc-defaults (1.88) unstable; urgency=low

  [ Matthias Klose ]
  * libgcj-common: Don't use absolute paths in debhelper autoscripts.
    Closes: #511491.
  * Build gnat for armel.
  * Tighten the dependencies to 4.3.4.
  * gpc-doc: Install non-shared doc directory. Closes: #553570.
  * libgcj-bc: Add doc dir symlink. Closes: #552764.
  * Remove the alternative build-dependency on java-gcj-compat-dev.
    Closes: #536192.
  * Fix formatting error in dh_nativejava(1). Closes: #531912.
  * libgcj-common (rebuild-gcj-db): Be quiet, armel and hppa are known
    to work.
  * Add hurd-i386 to gcj_archs and gcj_native_archs.

  [ Aurelien Jarno ]
  * Enable ada on kfreebsd-amd64.

  [ Ludovic Brenta ]
  * Don't build gnat from gcc-defaults anymore.

  [ Nobuhiro Iwamatsu ]
  * Don't build gpc-doc on sh3 and sh4. Closes: #547990.
  * Build java packages for sh4. Closes: #547989.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Nov 2009 00:50:32 +0100

gcc-defaults (1.87) unstable; urgency=low

  * gcj-jre-headless/gcj-jdk: Depend on gij-4.3/gcj-4.3. Closes: #532292.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Jun 2009 18:31:42 -0400

gcc-defaults (1.86) unstable; urgency=low

  * Reupload, last upload rejected due to wrong encoding in changelog.

 -- Matthias Klose <doko@debian.org>  Wed, 20 May 2009 15:02:31 +0200

gcc-defaults (1.85) unstable; urgency=low

  * Move library files for aot-compile into a private directory.

 -- Matthias Klose <doko@debian.org>  Tue, 19 May 2009 04:48:34 +0200

gcc-defaults (1.84) unstable; urgency=low

  * Make GCC-4.4 the default for java packages on hppa.
  * Build packages gcj-{jre-headless,jre,jdk}, mark gij and gcj as
    transitional packages.
  * Let gcj-{jre-headless,jre,jdk} depend on the java-gcj-compat packages
    on architectures where gij/gcj-4.3 is the default.
  * gcj-jdk: Conflict with classpath-common (<= 2:0.97.2-1.1), common
    binary gappletviewer and man page.
  * Change section names of java packages.
  * Handle wrong /usr/share/doc/libgcj-common symlink left over from
    gcj-4.1. Closes: #396583.
  * Update Debian README. Closes: #498950.

 -- Matthias Klose <doko@debian.org>  Sun, 18 May 2009 22:12:18 +0200

gcc-defaults (1.83) unstable; urgency=low

  * Build gij/gcj packages for hppa.

 -- Matthias Klose <doko@debian.org>  Mon, 04 May 2009 01:52:17 +0200

gcc-defaults (1.81) unstable; urgency=low

  * Enable java on hurd-i386 (Samuel Thibault). Closes: #525083.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Apr 2009 08:42:48 +0200

gcc-defaults (1.80) unstable; urgency=low

  * Fix required version on alpha.

 -- Arthur Loiret <aloiret@debian.org>  Fri, 06 Mar 2009 06:27:00 +0000

gcc-defaults (1.79) unstable; urgency=low

  * Make GCC-4.3 the default on alpha.
  * Tighten the dependencies to 4.3.3-2.
    - This version has a fix for PR middle-end/38969, adresses: #513007.
  * Bump Standards-Version to 3.8.0.
  * Add myself to Uploaders.

 -- Arthur Loiret <aloiret@debian.org>  Thu, 05 Mar 2009 19:34:05 +0000

gcc-defaults (1.78) unstable; urgency=low

  * Build gij/gcj packages for alpha.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Feb 2009 12:29:37 +0100

gcc-defaults (1.77) unstable; urgency=medium

  * libgcj-bc: Don't require 4.3.2.

 -- Matthias Klose <doko@debian.org>  Thu, 25 Sep 2008 07:38:56 +0200

gcc-defaults (1.76) unstable; urgency=low

  [ Aurelien Jarno ]
  * Add kfreebsd-amd64 and kfreebsd-i386 to gcj_archs and gcj_native_archs.
    Closes: #497770.

  [ Matthias Klose ]
  * Tighten the dependencies to 4.3.2.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Sep 2008 23:41:52 +0200

gcc-defaults (1.75) unstable; urgency=low

  * gcj: Don't provide the grmic(1) symlink. Closes: #486713.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Jun 2008 15:31:07 +0200

gcc-defaults (1.74) unstable; urgency=low

  * Tighten the dependencies to 4.3.1.
  * gfortran: Don't include symlinks for runtime libs in /usr/lib.
    Closes: #485792.
  * Build libgcj-common on all architectures.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Jun 2008 15:51:36 -0400

gcc-defaults (1.73) unstable; urgency=low

  * Make GCC-4.3 the default on amd64 and i386.
  * Tighten the dependencies to 4.3.0-5.
  * Tighten the dependencies to 4.2.4-1.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Jun 2008 00:56:41 +0200

gcc-defaults (1.72) unstable; urgency=high

  * Dont't build java related packages on alpha, arm, hppa. Closes: #483135.

 -- Matthias Klose <doko@debian.org>  Wed, 28 May 2008 06:47:59 +0200

gcc-defaults (1.71) unstable; urgency=high

  [Arthur Loiret]
  * Some clean up in build system. Add gnat_no_archs java_no_archs,
    gpc_no_archs and gdc_no_archs vars.
  * Build gfortran on sh3 and sh4, don't build java.

  [Matthias Klose]
  * Don't add a symlink for gc-analyze(1) when building without GFDL docs.
    Closes: #471818.
  * rebuild-gcj-db: Don't complain about gcj-dbtool succeeding on armel.
    Closes: #469412.
  * Remove jv-scan symlink. Closes: #477548.
  * Make ObjC, Obj-C++ 4.3 the default on armel.
  * Use /emul/... for amd64 biarch only.
 
 -- Matthias Klose <doko@debian.org>  Fri, 09 May 2008 00:39:11 +0200

gcc-defaults (1.70) unstable; urgency=low

  [Matthias Klose]
  * /usr/share/gcj/debian_defaults: Remove alpha, arm, hppa from
    gcj_archs, remove alpha from gcj_native_archs, add armel to
    gcj_archs and gcj_native_archs.
  * Make GCC-4.3 the default on hppa.
  * Remove gcj-4.3 build dependency on arm.

  [Ludovic Brenta]
  * make gnat-4.3 the default on alpha, mips and mipsel again, so
    now all architectures have the same default.  Closes: #475365.

  [Arthur Loiret]
  * debian/README.Debian:
    - Mention libstdc++ is provided by GCC-4.3.
    - Updates for gdc.
  * Remove gdc's Depends on cpp, gdc now has its own doc dir.
    - debian/gdc.preinst: handle symlink->directory conversion.
  * Don't build gdc on sparc.  Closes: #461101.
  * Don't compress README.Debian anymore.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Apr 2008 19:37:44 +0200

gcc-defaults (1.69) unstable; urgency=low

  [Arthur Loiret]
  * Build gcc-spu, g++-spu, gfortran-spu packages, defaulted to GCC-4.3.
  * Fix sh3, sh4 binary package generation.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Apr 2008 01:44:48 +0200

gcc-defaults (1.68) unstable; urgency=low

  * gfortran: Restore the gfortran library symlinks on alpha, amd64, i386, hppa.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Mar 2008 19:21:50 +0200

gcc-defaults (1.67) unstable; urgency=medium

  * Add build-dependency on gnat-4.3-base.
  * Don't build the g77 package anymore, remove build dependency on
    gcc-3.4-base.
  * Update README for Lenny.
  * Make gnat-4.2 the default on alpha, mips and mipsel. The Debian
    patches are not yet ported for these architectures (keep 4.3-x
    version numbers for gnat, libgnatvsn-dev, libgnatprj-dev). Add
    build dependency on gnat-4.2-base for these architectures.
  * Tighten versions and dependencies for the gnat packages to the
    final 4.3.0 release.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Mar 2008 15:07:31 +0200

gcc-defaults (1.66) unstable; urgency=low

  [Arthur Loiret]
  * Build multilib packages for mips and mipsel.

  [Matthias Klose]
  * Make GCC-4.3 the default on all architectures except alpha, amd64,
    hppa, i386.
    - alpha and hppa show regressions in the glibc testsuite.
    - amd64 and i386 have a patch in debian not supported upstream, and
      changing code generation.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Mar 2008 18:24:47 +0100

gcc-defaults (1.64) unstable; urgency=low

  [Matthias Klose]
  * gcc: Remove dangling FAQ symlink. Closes: #453812.
  * gij: Update conflict with java-gcj-compat,
    provide java*-runtime-headless instead of java*-runtime.
  * Depend on the packages of the GCC-4.2.3 release.
  * Tighten dependencies for gnat packages.

  [Ludovic Brenta]
  * libgnatvsn-dev, libgnatprj-dev: new packages; depend on the
    corresponding packages from gnat-4.3.
  * Make gnat-4.3 the default on all architectures.
  * gnat: install documentation in /usr/share/doc/gnat; do not symlink
    to cpp and do not depend on cpp (Ada does not need a C
    preprocessor).

  [Arthur Loiret]
  * gdc: Make gdc-4.2 the default on hurd-i386.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 12 Mar 2008 22:32:44 +0100

gcc-defaults (1.63) unstable; urgency=low

  * Make gfortran-4.3 the default on all architectures.
  * Make gij-4.3/gcj-4.3 the default on all architectures except alpha.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Jan 2008 17:17:53 +0100

gcc-defaults (1.62) unstable; urgency=low

  * Dont build libgcj-bc on the Hurd (Michael Banck). Closes: #445279.
  * (Build-)depend on gcc-4.2 (>= 4.2.2-3).
  * Make gpc-2.1 based on GCC-4.1 the default.
  * Make GCC-4.2 the default on m68k. Closes: #451190.
  * Add gdc, make gdc-4.1 the default (Arthur Loiret). Closes: #456596.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Dec 2007 19:58:38 +0100

gcc-defaults (1.61) unstable; urgency=medium

  * libgcj-common: Update classmap db's for gcj-4.3 as well.
  * Do not build g77 and g77-doc for armel.
  * gcj: Install gc-analyze symlinks where the default is >= 4.2.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Sep 2007 02:41:40 +0200

gcc-defaults (1.60) unstable; urgency=low

  * Make GCC-4.2 the default for C, C++, ObjC, ObjC++, GFortran for
    all architectures except m68k.

 -- Matthias Klose <doko@debian.org>  Sat, 01 Sep 2007 11:56:19 +0200

gcc-defaults (1.59) unstable; urgency=low

  * Make GCJ-4.2 the default on hppa.

 -- Matthias Klose <doko@debian.org>  Tue, 28 Aug 2007 00:58:50 +0200

gcc-defaults (1.58) unstable; urgency=low

  * Keep GCJ-4.1 as the default for alpha.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Aug 2007 13:29:19 +0200

gcc-defaults (1.57) unstable; urgency=low

  * Fix version requirement in libgcj-bc shlibs file.

 -- Matthias Klose <doko@debian.org>  Fri, 24 Aug 2007 17:02:34 +0200

gcc-defaults (1.56) unstable; urgency=medium

  * Revert gnat to depend on gnat-4.1 as the transition to gnat-4.2
    has not yet started.  Closes: #431103.
  * Don't provide the gccbug symlinks anymore.
  * Don't build gnat for armel. Closes: #408808.
  * Don't install gij-wrapper symlink. Closes LP: #118464.
  * Add symlink for grmic.
  * Keep GCC-4.1 as the default for C, C++, ObjC, ObjC++.
  * GCJ-4.2 is the default for all architectures but hppa and m68k.
  * Don't build the lib32gcj-bc package anymore.

 -- Matthias Klose <doko@debian.org>  Fri, 24 Aug 2007 00:40:47 +0200

gcc-defaults (1.55) experimental; urgency=low

  * Make GCC-4.2 the default for Java.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Jul 2007 23:44:36 +0200

gcc-defaults (1.54) experimental; urgency=low

  * Lower the priority of the -multilib packages.
  * Make GCC-4.2 the default for C, C++, ObjC, ObjC++, GFortran.
  * Support kfreebsd-amd64. Closes: #423166.
  * Re-add gcjh binary. Closes: #423740.

 -- Matthias Klose <doko@debian.org>  Sat, 26 May 2007 16:33:24 +0200

gcc-defaults (1.52) unstable; urgency=medium

  * Add multilib packages for gcc, g++, gobjc, gobjc++, gfortran.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Apr 2007 23:10:56 +0200

gcc-defaults (1.51) experimental; urgency=low

  * Depend on the 4.1.2 final release.
  * Set priority of development packages to optional.
  * Merge from Ubuntu:
    - Tighten dependencies for ecj-generics backport.
    - gcj: Drop gcjh, gcjh-wrapper, gjnih, add gjavah, gtnameserv.
    - gij: Add gorbd, grmid, gserialver.
    - gij/gcj: Add links for manpages for the classpath tools.
  * Bump debhelper compatibility to v5.
  * Bump libgcj-common to a 4.2 version, previously built by gcc-4.2.

 -- Matthias Klose <doko@debian.org>  Sun,  4 Mar 2007 12:30:54 +0100

gcc-defaults (1.50) unstable; urgency=medium

  * gcj: Fix pkgconfig symlink. Closes: #394281, #404263.
  * gcj: Conflict with libgcj2. Closes: #398127.
  * Add copyright for the c89 and c99 manpages. Closes: #398065.
  * gij: Recommend libgcj7-awt. Do not depend on it, because we want
    to be able to install the runtime without X dependencies.
    Closes: #394917.

 -- Matthias Klose <doko@debian.org>  Mon,  1 Jan 2007 19:09:28 +0100

gcc-defaults (1.49) unstable; urgency=low

  * Replaces java-gcj-compat (<< 1.0.65-8), not (<< 1.0.65-7).
    Really fixes #393903.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Oct 2006 21:11:19 +0200

gcc-defaults (1.48) unstable; urgency=low

  * Remove fsf-funding (again). Closes: #385732.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Oct 2006 20:48:45 +0200

gcc-defaults (1.47) unstable; urgency=low

  * libgcj-common: Add rebuild-security-providers, move
    /usr/lib/security/classpath.security to /var, rebuild it
    on installation.
  * Fix libgcj-bc symlinks. Closes: #393351, #393562.
  * /usr/share/gcj/debian_defaults: Makefile inclusion file
    to define gcj_archs and gcj_native_archs.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Oct 2006 01:47:31 +0200

gcc-defaults (1.46) unstable; urgency=low

  * Build libgcj-common from the gcc-defaults sources.

 -- Matthias Klose <doko@debian.org>  Sat,  7 Oct 2006 15:00:14 +0200

gcc-defaults (1.45) unstable; urgency=low

  * Fix g77 and gfortran postinst installation scripts.

 -- Matthias Klose <doko@debian.org>  Mon,  2 Oct 2006 00:47:13 +0200

gcc-defaults (1.44) unstable; urgency=low

  * Remove the subversion directory from the upload.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Sep 2006 14:44:54 +0200

gcc-defaults (1.43) unstable; urgency=low

  * Do not install alternatives for man pages licensed under the GFDL,
    second round. Closes: #387161, #390201, #388347.
  * Upload package built with -Ifsf-funding. Closes: #385732.
  * Let gij provide java2-runtime. Closes: #389215.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Sep 2006 13:55:56 +0200

gcc-defaults (1.42) unstable; urgency=medium

  * Build libgcj-bc from the gcc-defaults source package.
  * gij: Add symlinks for gcj-dbtool, grmiregistry.
  * gcj: Add symlinks for gcjh-wrapper.
  * Do not install alternatives for man pages licensed under the GFDL.
    Closes: #384278, #384303, #384923, #384927.

 -- Matthias Klose <doko@debian.org>  Sat,  2 Sep 2006 13:20:16 +0000

gcc-defaults (1.41) unstable; urgency=low

  [Ludovic Brenta]
  * Do not build gnat on m32r.  Closes: #379079.

  [Michael Banck]
  * debian/control (Build-Depends): Conditionalize gcj-4.1 to !hurd-i386.
  * debian/rules:
    + Use hurd-i386, not gnu-i386 when matching DEB_HOST_ARCH.
    + Add gcj and gij to no_packages for hurd-i386.
  * Closes: #381018.

  [Matthias Klose]
  * Do not build dependency packages for -doc packages licensed under the GFDL.
  * Do not install symlinks for manpages licensed under the GFDL.
    Closes: #200003.
  * README: Mention gfortran.
  * Add paragraph about missing GFDL'd docs and manual pages.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Aug 2006 23:42:01 +0200

gcc-defaults (1.40) unstable; urgency=low

  * Don't build gnat-doc on arm and m68k.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Jul 2006 22:04:21 +0000

gcc-defaults (1.39) unstable; urgency=medium

  * Fix another build failure on arm.
  * Update the README.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Jul 2006 12:09:14 +0000

gcc-defaults (1.38) unstable; urgency=low

  * Fix the build failure on arm (don't try to build gnat).
  * Set section of -doc packages to doc.
  * Drop the libgcj-dev package; let gcj provide libgcj-dev.
  * gcj: Add a symlink /usr/share/java/libgcj.jar.

 -- Matthias Klose <doko@debian.org>  Thu,  6 Jul 2006 03:18:27 +0200

gcc-defaults (1.37) unstable; urgency=medium

  [Ludovic Brenta]
  * Provide a gnat package that depends on the default Ada compiler.
  * Update README.Debian for gnat, gfortran.  Simplify it.
  * debian/rules: reorder architectures alphabetically for future
    maintainability.  Clean up the way we exclude some languages
    on some architectures.  Disable Ada on m68k and GNU/Hurd, in
    addition to GNU/NetBSD, SH3 and SH4 targets.
  * debian/control (gnat): depend on cpp.

  [Matthias Klose]
  * Build a gnat-doc package.
  * Remove chill from the control file.
  * gcj: Add a /usr/share/java/libgcj.jar symlink.

 -- Matthias Klose <doko@debian.org>  Tue,  4 Jul 2006 23:52:43 +0200
	
gcc-defaults (1.36) unstable; urgency=medium

  * Make gcc-4.1 the default C compiler, g++-4.1 the default C++ compiler,
    gobjc-4.1 the default ObjC compiler, treelang-4.1 the default Treelang
    compiler, gfortran-4.1 the default Fortran compiler.
    Closes: #366820.
  * Don't build the chill package anymore.
  * Build-depend on gcj-4.1-base, instead of gcc-4.0-base. Closes: #367952.

 -- Matthias Klose <doko@debian.org>  Tue,  6 Jun 2006 03:10:08 +0200

gcc-defaults (1.35) unstable; urgency=low

  * Make gij-4.1/gcj-4.1 the default gij/gcj.
  * gij: Add a conflict to java-gcj-compat (<< 1.0.56).
  * Fix typo in gpc package description (closes: #363619).
  * gobjc++: Recommend g++ and gobjc.
  * Handle c89/c99 binaries by alternatives (closes: #365039).

 -- Matthias Klose <doko@debian.org>  Sun,  7 May 2006 11:09:59 +0200

gcc-defaults (1.34) unstable; urgency=low

  * Fix typo in debian/rules.

 -- Matthias Klose <doko@debian.org>  Sun,  2 Apr 2006 13:46:30 +0000

gcc-defaults (1.33) unstable; urgency=low

  * Add gobjc++ package.
  * Build-Depend on gcc-4.1-base.

 -- Matthias Klose <doko@debian.org>  Sat,  1 Apr 2006 12:21:34 +0000

gcc-defaults (1.32) unstable; urgency=low

  * Depend on the 3.4.6 and 4.0.3 final releases.
  * Build-depend on the appropriate gcc-X.Y-base, gcj-X.Y-base packages.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Mar 2006 22:36:58 +0100

gcc-defaults (1.31) unstable; urgency=low

  * Use epoch for all packages.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Dec 2005 02:46:58 +0100

gcc-defaults (1.30) unstable; urgency=medium

  * Fix gfortran prerm script (closes: #334081).
  * Clarify gfortran package description (closes: #333348).
  * Remove version number of release, picky RM ... (closes: #321092).
  * Build java packages for mips again.
  * Update c99(1) man page (closes: #324687).
  * Depend on the 3.4.5 final release, depend on the g++ versions
    after changing the libstdc++ allocator.
  * Handle /lib/cpp as an alternative.
  * gcj: Depend on libgcj-dev and gij.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Dec 2005 10:58:11 +0100

gcc-defaults (1.29) unstable; urgency=low

  * Depend on the 4.0.2 final release.
  * Build gfortran for m68k.

 -- Matthias Klose <doko@debian.org>  Mon,  3 Oct 2005 22:28:43 +0000

gcc-defaults (1.28) unstable; urgency=low

  * Change build system to allow upload of versions of the form
    [0-9]+.[0-9]+<anything>.

 -- Matthias Klose <doko@debian.org>  Sat,  6 Aug 2005 01:09:15 +0200

gcc-defaults (1.27) unstable; urgency=high

  * Fix build for platforms with some compilers missing.

 -- Matthias Klose <doko@debian.org>  Wed,  3 Aug 2005 19:09:10 +0200

gcc-defaults (1.26) unstable; urgency=high

  * Depend on the 4.0.1 final release.
  * debian/control.m4: Remove.
  * debian/control: Add substitution variables.
  * debian/rules: Generate debian/*.substvars.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Jul 2005 15:30:16 +0200

gcc-defaults (1.24) unstable; urgency=low

  * Build-depend on dpkg-dev (>= 1.13.9).

 -- Matthias Klose <doko@debian.org>  Fri,  8 Jul 2005 11:44:26 +0000

gcc-defaults (1.23) unstable; urgency=high

  * Make gcc-4.0 the default C compiler, g++-4.0 the default C++ compiler,
    gobjc-4.0 the default ObjC compiler, treelang-4.0 the default Treelang
    compiler, gcj-4.0 the default compiler for the Java language, and gij-4.0
    the default for the bytecode interpreter.
  * Add gfortran package, depending on gfortran-4.0, not available for m68k.
  * Make g77-3.4 the default for g77, gpc-3.4 the default for gpc.
  * Add gjnih default (gcj package).
  * gfortran: Add alternative for f95.
  * Depend on the 3.4.4-4 and 4.0.0-11 versions (4.0.0-12 on sparc and hppa).
  * gij: Provide java-virtual-machine, java-runtime and java1-runtime.
  * README.Debian: Add a note, why the gcc/g++/... symlinks are not handled
    using update-alternatives (closes: #312634).
  * Suggest automake1.9 instead of automake (closes: #311293).
  * Add support for GNU/kFreeBSD (closes: #316759).

 -- Matthias Klose <doko@debian.org>  Mon,  4 Jul 2005 23:46:28 +0200

gcc-defaults (1.22) unstable; urgency=low

  * debian/control: Build depend on dpkg-dev (>= 1.13.9), needed to determine
    the GNU architecture type.
  * The symlinks for the tools change to the the new output of
    dpkg-architecture -qDEB_HOST_GNU_TYPE (i.e. i386-linux-gcc becomes
    i486-linux-gnu-gcc).
  * Make 3.3.6-7 the required version (the first version built with the
    dpkg-architecture changes).

 -- Matthias Klose <doko@debian.org>  Sun, 26 Jun 2005 23:00:36 +0200

gcc-defaults (1.21) unstable; urgency=medium

  * Fix libgcj-dev dependency epoch (Daniel Schepler). Closes: #301584.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Mar 2005 01:41:53 +0100

gcc-defaults (1.20) unstable; urgency=low

  * Add libgcj-dev package (Andreas Jochens). Closes: #278105.
    Packages using gcj -C (byte compiling) should (build-)depend on gcj,
    packages compiling to native code, should (build-)depend on libgcj-dev.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Mar 2005 20:04:09 +0100

gcc-defaults (1.19) unstable; urgency=low

  * Depend on the 3.3.5 final release.
  * Fix wrong symlink (closes: #275477).

 -- Matthias Klose <doko@debian.org>  Sat, 13 Nov 2004 22:31:25 +0100

gcc-defaults (1.18) unstable; urgency=medium

  * Remove dangling symlink in cpp and gcc doc directories (closes: #265555).

 -- Matthias Klose <doko@debian.org>  Fri, 13 Aug 2004 22:01:50 +0200

gcc-defaults (1.17) unstable; urgency=low

  * Don't build chill on amd64.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Jul 2004 00:15:14 +0200

gcc-defaults (1.16) unstable; urgency=medium

  * Add upstream FAQ to gcc package.
  * Add README.Bugs document.
  * On sparc, add configuration file /etc/disable_64_gcc to generate 32bit
    code on sparc64 architecture (closes: #251149).

 -- Matthias Klose <doko@debian.org>  Mon, 31 May 2004 22:03:32 -0300

gcc-defaults (1.15) unstable; urgency=low

  * Add gpc package for ia64, add binobj and gpidump links to gpc package.
  * Make gpc-2,1-3.3 the default gpc version for all architectures.
  * Update README.Debian.

 -- Matthias Klose <doko@debian.org>  Sat,  1 May 2004 00:11:38 +0200

gcc-defaults (1.14) unstable; urgency=low

  * gcj: ReAdd dependency on gcj-3.3 (closes: #234986).
  * Downgrade the dependency of gcj to gij to a recommendation.
  * gij: Add suggestion for gcj.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Feb 2004 23:32:13 +0100

gcc-defaults (1.13) unstable; urgency=low

  * Depend on the 3.3.3 final release.
  * gcj: Add dependency on gij.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Feb 2004 23:25:30 +0100

gcc-defaults (1.12) unstable; urgency=low

  * Build gij and gcj packages for hppa-linux.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Feb 2004 02:23:31 +0100

gcc-defaults (1.11) unstable; urgency=medium

  * Fix installation of g++ wrapper on sparc (closes: #225510).

 -- Matthias Klose <doko@debian.org>  Sat,  3 Jan 2004 11:10:49 +0100

gcc-defaults (1.10) unstable; urgency=low

  * Depend on the 3.3.2 final release.
  * Change priority of -doc packages to optional.
  * Add dependencies for g++, g77, gobjc, gcj on gcc of the same
    version (closes: #214694).
  * Add sparc-g++.c to do the same thing as the gcc wrapper.
  * Make the sparc gcc/g++ wrapper accept an override to disable 64-bit mode.
    This can be done by touching /etc/disable_64_gcc (closes: #221282).

 -- Matthias Klose <doko@debian.org>  Wed, 19 Nov 2003 22:09:30 +0100

gcc-defaults (1.9) unstable; urgency=low

  * control.m4: conditionalize on available languages (closes: #205226).
  * Remove version information in package descriptions to ease the task
    of the translators (closes: #205207).

 -- Matthias Klose <doko@debian.org>  Sat, 16 Aug 2003 10:12:55 +0200

gcc-defaults (1.8) unstable; urgency=low

  * Add sparc-gcc.c wrapper for handling -m32/-m64 defaults. Replaces the
    normal gcc symlink (Ben Collins).
  * Make 3.3 the default for sparc again.
  * Sync epoch for all architectures.
  * Provide {cpp,gcc,g77,gpc}-doc dependency packages.
    Closes: #178284, #188217, #193409, #197514.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Jul 2003 10:40:02 +0200

gcc-defaults (1.7) unstable; urgency=low

  * Add <GNU_TYPE>-{cpp,gcc,g++,gcj,g77} symlinks.
  * Bump sparc back down to 3.2. Increase our epoch to compensate.

 -- Ben Collins <bcollins@debian.org>  Wed,  4 Jun 2003 11:39:53 -0400

gcc-defaults (1.6) unstable; urgency=low

  * Make gcc-3.3 the default C compiler (g++-3.3 default for C++, g77-3.3
    default for Fortran, gobjc-3.3 default for ObjectiveC, g[ci]j-3.3 default
    for Java).
    The Debian gcc-3.3-0pre9 packages are build from the second prerelease,
    which is identical to the 3.3 final release on GNU/Linux.
  * Add c99 script (closes: #190823).

 -- Matthias Klose <doko@debian.org>  Thu, 15 May 2003 20:46:56 +0200

gcc-defaults (1.5) unstable; urgency=medium

  * Update gpc date in package version.
  * Make gpc-2.1-3.3 the default on hppa and ia64 (gpc-2.1-3.2 isn't built
    anymore).

 -- Matthias Klose <doko@debian.org>  Thu, 24 Apr 2003 07:36:45 +0200

gcc-defaults (1.4) unstable; urgency=low

  * Depend on the 3.2.3 prerelease.
  * Correct gpc date in package version.
  * Remove f77 alternative left over from an old egcs(?) version.
  * gpc: Add links for gpidump and binobj.
  * Remove old c++filt diversions left over by egcs, fixed script.
    Closes: #138038.
  * Add the fsf-funding(7), gfdl(7), gpl(7) man pages to the cpp package.
    Closes: #181495.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Mar 2003 20:15:55 +0100

gcc-defaults (1.3) unstable; urgency=low

  * Make gcc-3.2 the default C compiler (g++-3.2 default for C++, g77-3.2
    default for Fortran, gobjc-3.2 default for ObjectiveC, g[ci]j-3.2 default
    for Java).
  * Increase epoch due to wrong gpc and chill default version (closes: #163294).
  * Add netbsd-i386 support (closes: #162201).
  * Add gpc-run symlinks.
  * Make gpc-2.1-3.2 the default on hppa and ia64 (the gpc based on gcc-3.2
    is still an alpha version).
  * Remove old c++filt diversions left over by egcs ... (closes: #138038).

 -- Matthias Klose <doko@debian.org>  Sun, 29 Dec 2002 00:39:03 +0100

gcc-defaults (1.2) unstable; urgency=low

  * Make gcc-3.2 the default for the Hurd (closes: #156968).
  * Added SH support in previous upload (closes: #155002).

 -- Matthias Klose <doko@debian.org>  Fri,  6 Sep 2002 23:03:11 +0200

gcc-defaults (1.1) unstable; urgency=low

  * Add SH support.

 -- Matthias Klose <doko@debian.org>  Fri,  2 Aug 2002 07:43:26 +0200

gcc-defaults (1.0) unstable; urgency=low

  * Make gcc-3.1 the default for the Hurd.

 -- Matthias Klose <doko@debian.org>  Tue, 14 May 2002 21:41:35 +0200

gcc-defaults (0.22) unstable; urgency=low

  * Unreleased.
  * Use ObjC 3.0 for ARM.

 -- Phil Blundell <pb@debian.org>  Sun, 31 Mar 2002 18:17:33 +0100

gcc-defaults (0.21) unstable; urgency=low

  * Include java on ARM.
  * Set ARM g77 version number to 3.0.4.

 -- Phil Blundell <pb@debian.org>  Sat, 23 Mar 2002 04:15:58 -0500

gcc-defaults (0.20) unstable; urgency=medium

  * Rebuild with new debhelper (closes: #137295, #137296).

 -- Matthias Klose <doko@debian.org>  Fri,  8 Mar 2002 09:05:28 +0100

gcc-defaults (0.19) unstable; urgency=medium

  * Set g77 version for ARM to 3.0.
  * Disable java for mips(el); it clearly isn't getting built.
  * Add self to Uploaders

 -- Philip Blundell <pb@debian.org>  Sun,  3 Mar 2002 22:36:36 +0000

gcc-defaults (0.18) unstable; urgency=medium

  * Fix version of gobjc package on ia64 (closes: #131428).

 -- Matthias Klose <doko@debian.org>  Tue, 29 Jan 2002 18:55:11 +0100

gcc-defaults (0.17) unstable; urgency=medium

  * Replace empty doc directories by symlinks to the cpp doc directory.
    Closes: #117285.
  * Add suggestions for -doc packages (somewhat closes: #115127).
  * Build `gpc' package for mips and mipsel.
  * gcj package: Provide default for `jv-convert'.
  * Copy package descriptions from the gcc-X.Y packages and add "This is a
    dependency package ...". Overkill closes: #124063.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Jan 2002 22:05:41 +0100

gcc-defaults (0.16) unstable; urgency=medium

  * Make 3.0 the default for gobjc on ia64. Closes: #122735.
  * New package gij to provide a default for the java interpreter.
    Closes: #119386.
  * Make 3.0 the default for gcj and gij on ia64.
  * Package gij provides java-virtual-machine and java1-runtime.
    Closes: #119384.
  * Reflect move to gcc-3.0.3.

 -- Matthias Klose <doko@debian.org>  Sat,  8 Dec 2001 11:33:05 +0100

gcc-defaults (0.15) unstable; urgency=low

  * Add gpc-doc (<< 1:2.95.3) conflict for gpc package. Same for cpp
    and gcc (Closes: #115299).

 -- Matthias Klose <doko@debian.org>  Sun, 14 Oct 2001 11:14:05 +0200

gcc-defaults (0.14) unstable; urgency=low

  * Make gcj package for m68k.

 -- Matthias Klose <doko@debian.org>  Sun,  7 Oct 2001 12:10:43 +0200

gcc-defaults (0.13) unstable; urgency=low

  * Make gcj package for powerpc.

 -- Matthias Klose <doko@debian.org>  Sat,  4 Aug 2001 12:11:34 +0200

gcc-defaults (0.12) unstable; urgency=low

  * Replace suggestions of removed task-packages with minimal individual
    packages (closes: #105695).
  * symlinks for java manpages.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Jul 2001 21:06:15 +0200

gcc-defaults (0.11) unstable; urgency=low

  * Rebuild with current version of dpkg-dev (closes #102528).

 -- Matthias Klose <doko@gate.local>  Thu, 28 Jun 2001 22:01:41 +0200

gcc-defaults (0.10) unstable; urgency=low

  * Set default for mips to 2.95. gcc-defaults for mips(el) has never been
    uploaded to the archive with 3.x as the version, so we won't need to
    epoch this fallback (Ryan Murray <rmurray@cyberhqz.com>).

 -- Matthias Klose <doko@debian.org>  Tue, 26 Jun 2001 07:28:06 +0200

gcc-defaults (0.9) unstable; urgency=low

  * Increase epoch, use gcc-2.96 as default for ia64 (#101876, #101878).
  * Update version number to 2.95.4 (on m68k).

 -- Matthias Klose <doko@debian.org>  Sat, 23 Jun 2001 12:48:30 +0200

gcc-defaults (0.8.1) unstable; urgency=low

  * IA-64 currently uses 2.96 as the default and will soon have 3.0 as an
    option.  Reflect the correct default here, we had assumed 3.0 previously.

 -- Bdale Garbee <bdale@gag.com>  Fri, 22 Jun 2001 00:16:08 -0600

gcc-defaults (0.8) unstable; urgency=low

  * Update version number to 2.95.4 (except m68k).
  * debian/control.m4: correct CHILL description (closes: #93929).
  * Default to 3.0 for ia64-linux, mips-linux and mipsel-linux
  * gcj defaults to 3.0 for all architectures.
  * Fix suggestions of task packages (closes: #96272, #96273).

 -- Matthias Klose <doko@debian.org>  Sun, 27 May 2001 02:25:45 +0200

gcc-defaults (0.7) unstable; urgency=low

  * Rebuild control file.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Mar 2001 06:37:10 +0200

gcc-defaults (0.6) unstable; urgency=low

  * Support for hppa-linux (fixes #91940).

 -- Matthias Klose <doko@debian.org>  Wed, 28 Mar 2001 06:43:40 +0200

gcc-defaults (0.5) testing unstable; urgency=high

  * Upload to testing; gcc-2.95 needs this package.

 -- Matthias Klose <doko@debian.org>  Wed,  7 Feb 2001 18:25:35 +0100

gcc-defaults (0.4) unstable; urgency=low

  * Link /usr/share/doc/gcc to cpp doc directory (#80990).

 -- Matthias Klose <doko@debian.org>  Mon,  1 Jan 2001 18:27:27 +0100

gcc-defaults (0.3) unstable; urgency=low

  * Reenable gcj for sparc.
  * TODO: Update description of Debian compiler setup.

 -- Matthias Klose <doko@debian.org>  Sun, 31 Dec 2000 10:59:01 +0000

gcc-defaults (0.2) unstable; urgency=low

  * Initial Release.

 -- Matthias Klose <doko@debian.org>  Fri, 29 Dec 2000 19:12:08 +0100

Local variables:
mode: debian-changelog
End:
